pkgsrc-Bulk archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: pkgsrc NetBSD 5.99.56/x86_64 2011-11-25 23:33

On 11-11-29 11:03 PM, David Holland wrote:
On Tue, Nov 29, 2011 at 03:26:44PM -0500, D'Arcy Cain wrote:
  >  Too late.  I already added it along with a bunch of other cleanups
  >  that let it pass pkglint.  Specifying a list shouldn't hurt
  >  anything.

I was going to massedit them all with sed, takes maybe five minutes
total, but Joerg insists on doing it his own way...

I think I understand his point. Python 3 isn't quite ready for prime time. The Python folks will tell you that you should stick with Python 2.x for production code for now. It's stable enough but not enough packages have been ported to it yet. Modifying every package is not the right thing. A default of 2.x is pretty reasonable for now. The case where the package supports 2.x is the exception.

In this case (py-gd) it will probably never be updated so putting it in the package makes sense I think.

D'Arcy J.M. Cain <>

Home | Main Index | Thread Index | Old Index